[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.Destroy

Destructor for the class instance.

## Declaration

Source position: grids.pas line 1330

`public destructor TCustomGrid.Destroy; override;`

## Description

Destroy is the destructor for TCustomGrid. Destroy frees various resources including editors, columns, rows, fonts, and the internal TGridScroller used in the class instance. It calls the inherited Destroy method prior to exit.

## See also

TCustomControl.Destroy |  | Destructor for the class instance.